Subject: [bug#47815] [PATCH 1/3] gnu: music: python-abjad: Abjad Improvements.

From: Maxime Devos <[email-masked]>
Date: Fri, 16 Apr 2021 12:12:25 +0200

On Fri, 2021-04-16 at 04:57 +0000, jgart via Guix-patches via wrote:
> Hi Guix,
> 
> Below are some improvements to the python-abjad package that was merged the other day.
> 
> I changed the name to abjad, moved some inputs into their correct place,

Please move 'lilypond' from propagated-inputs to 'inputs', if sanely possible!
This avoids polluting the profile with packages the user did not
explicitely request.  Of course, abjad still somehow has to find
lilypond, so you might need to replace "lilypond" with

  (string-append (assoc-ref inputs "lilypond") "/bin/lilypond")

somewhere in python-abjad's source code.  You can use substitute*
for that.

Greetings,
Maxime.